//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWControlsContainer : public VWControl
		{
		public:
								VWControlsContainer(TControlID id);
			virtual				~VWControlsContainer();

			bool				CreateControl(VWDialog* pDlg);

		// child control managment
		public:
			virtual void		AddFirstGroupControl(VWControl* pControl);
		};
	}
}